Bug 41561 - libxslt: Multiple issues (3.3)
libxslt: Multiple issues (3.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 3.3
Other Linux
: P5 normal (vote)
: UCS 3.3-1-errata
Assigned To: Arvid Requate
Janek Walkenhorst
:
Depends on: 41560 42890
Blocks: 42891
  Show dependency treegraph
 
Reported: 2016-06-14 13:32 CEST by Arvid Requate
Modified: 2017-07-20 15:01 CEST (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): Security
Max CVSS v3 score: 8.8 (CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2016-06-14 13:32:14 CEST
+++ This bug was initially created as a clone of Bug #41560 +++

The following issues have been fixed in the upstream Debian package version 1.1.26-14.1+deb7u1:

* The xsltStylePreCompute function in preproc.c in libxslt 1.1.28 does not check if the parent nonfusion" issue. (CVE-2015-7995)

* numbers.c in libxslt before 1.1.29, as used in Google Chrome before 51.0.2704.63, mishandles nssibly have unspecified other impact via a crafted document. (CVE-2016-1683)

* numbers.c in libxslt before 1.1.29, as used in Google Chrome before 51.0.2704.63, mishandles t or resource consumption) or possibly have unspecified other impact via a crafted document. (CVE-2016-1684)
Comment 1 Arvid Requate univentionstaff 2016-11-08 19:12:34 CET
Upstream Debian (Wheezy) package version 1.1.26-14.1+deb7u2 fixes the following issue:

* heap overread can cause arbitrary code execution or denial of service (CVE-2016-4738)
Comment 2 Arvid Requate univentionstaff 2017-04-19 10:13:20 CEST
Upstream Debian (Wheezy) package version 1.1.26-14.1+deb7u3 fixes the following issue:

* integer overflow in libxslt (CVE-2017-5029)
Comment 3 Arvid Requate univentionstaff 2017-04-19 10:43:44 CEST
Package rebuilt with backported patches.

Advisory: libxslt.yaml
Comment 4 Janek Walkenhorst univentionstaff 2017-05-18 17:35:37 CEST
(In reply to Arvid Requate from comment #3)
> Package rebuilt with backported patches.
It did not build for amd64.
Comment 5 Arvid Requate univentionstaff 2017-06-26 19:11:31 CEST
True, I've built in manually in a VM and copied the packages.
Comment 6 Janek Walkenhorst univentionstaff 2017-07-10 17:45:58 CEST
Tests: OK
Advisory: OK
Comment 7 Janek Walkenhorst univentionstaff 2017-07-20 15:01:02 CEST
<http://errata.software-univention.de/ucs/3.3/41.html>